// vcMinExDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CvcMinExDlg dialog
class CvcMinExDlg : public CDialog
{
// Construction
public:
	CvcMinExDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_vcMinEx_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();						// initializes main dialog
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);	// system command handler
	afx_msg void OnPaint();								// repaints display
	afx_msg HCURSOR OnQueryDragIcon();					
	DECLARE_MESSAGE_MAP()								// message mapping
public:
	long PlotBuffer[8192];	// holds plot data
	long XPlotMAX;			
	long YPlotMAX;
	bool OptScaleType;		// scale type (log or linear)
	bool OptPlotType;		// plot type (line or bar, not used)

	CStatic m_PlotPictureControl;						// plot display
	afx_msg void OnBnClickedGetdatabutton();			// get data button
	void PlotData(long DataBuffer[8192], int NumChan);	// calculates plot data
	void UpdatePlot();									// draws plot display
	afx_msg void OnBnClickedConfigButton();				// get configuration file button
	bool PromptFileName();								// file open dialog
	CString m_csCurrentFile;							// current file
	afx_msg void OnBnClickedPlotscaleradiolinear();		// selects linear plot
	afx_msg void OnBnClickedPlotscaleradiolog();		// selects log plot
};
